--- a/Build.PL
+++ b/Build.PL
@@ -107,11 +107,17 @@
     my $hts_include = $self->config_data('hts_include');
     my $hts_lib     = $self->config_data('hts_lib');
     my $static      = $self->args('static');
+
+    my @env_linker_flags;
+    if ( defined $ENV{LDFLAGS} ) {
+        @env_linker_flags = split qr{\s+}, $ENV{LDFLAGS};
+    }
+
     $self->include_dirs([$hts_include]);
     if($static){
-      $self->extra_linker_flags("-L$hts_lib", '-lhts', '-lpthread', '-lz');
+      $self->extra_linker_flags(@env_linker_flags, "-L$hts_lib", '-lhts', '-lpthread', '-lz');
     }else{
-      $self->extra_linker_flags("-L$hts_lib", "-Wl,-rpath,$hts_lib", '-lhts', '-lpthread', '-lz');
+      $self->extra_linker_flags(@env_linker_flags, "-L$hts_lib", "-Wl,-rpath,$hts_lib", '-lhts', '-lpthread', '-lz');
     }
 }
 
